Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.shrinkwrap.descriptor.impl.ejbjar31
Class AssemblyDescriptorTypeImplTestCase

    java.lang.Object
      org.jboss.shrinkwrap.descriptor.impl.ejbjar31.AssemblyDescriptorTypeImplTestCase

    public class AssemblyDescriptorTypeImplTestCase

extends java.lang.Object

Constructor Summary
`AssemblyDescriptorTypeImplTestCase()`

Method Summary
`void` | `testApplicationException()`
`void` | `testContainerTransaction()`
`void` | `testExcludeList()`
`void` | `testInterceptorBinding()`
`void` | `testMessageDestination()`
`void` | `testMethodPermission()`
`void` | `testSecurityRole()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AssemblyDescriptorTypeImplTestCase

    public AssemblyDescriptorTypeImplTestCase()

Method Detail

### testSecurityRole

    public void testSecurityRole()
                          throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### testMethodPermission

    public void testMethodPermission()
                              throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### testContainerTransaction

    public void testContainerTransaction()
                                  throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### testInterceptorBinding

    public void testInterceptorBinding()
                                throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### testMessageDestination

    public void testMessageDestination()
                                throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### testExcludeList

    public void testExcludeList()
                         throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### testApplicationException

    public void testApplicationException()
                                  throws java.lang.Exception

  Throws:
    `java.lang.Exception`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD